Holger's Java API

## com.antelmann.calendar
Interface CalendarDB

All Superinterfaces:
  Closeable

All Known Implementing Classes:
  FileCalendarDB, SQLCalendarDB

    public interface CalendarDB

extends Closeable

Author:
  Holger Antelmann

Method Summary
`void` `close()`
`boolean` `containsEntry(CalendarEntry entry)` entry is there if the id corresponds to an entry in the database; the contained data may be different
`boolean` `deleteEntry(CalendarEntry entry)` the corresponding entry in regards to the id will be deleted
`Collection<Alert>` `getActiveAlerts()` returns all active non-acknowledged alerts
`Collection<Alert>` `getAlerts(Filter<Alert> filter)`
`Collection<CalendarEntry>` `getEntries(Filter<CalendarEntry> filter)`
`void` `insertAlert(Alert alert)`
`CalendarEntry` `insertEntry(CalendarEntry entry)` the id of the given entry is ignored; the returned entry will reflect the actual database object
`void` `updateAlert(Alert alert)`
`void` `updateEntry(CalendarEntry entry)`

Method Detail

### containsEntry

    boolean containsEntry(CalendarEntry entry)
                          throws DatabaseException

  entry is there if the id corresponds to an entry in the database; the contained data may be different

  Throws:
    `DatabaseException`

### updateEntry

    void updateEntry(CalendarEntry entry)
                     throws CalendarException,
                            DatabaseException

  Throws:
    `CalendarException`
    `DatabaseException`

### insertEntry

    CalendarEntry insertEntry(CalendarEntry entry)
                              throws DatabaseException

  the id of the given entry is ignored; the returned entry will reflect the actual database object

  Throws:
    `DatabaseException`

### deleteEntry

    boolean deleteEntry(CalendarEntry entry)
                        throws DatabaseException

  the corresponding entry in regards to the id will be deleted

  Throws:
    `DatabaseException`

### getEntries

    Collection<CalendarEntry> getEntries(Filter<CalendarEntry> filter)
                                         throws DatabaseException

  Throws:
    `DatabaseException`

### getActiveAlerts

    Collection<Alert> getActiveAlerts()
                                      throws DatabaseException

  returns all active non-acknowledged alerts

  Throws:
    `DatabaseException`

### getAlerts

    Collection<Alert> getAlerts(Filter<Alert> filter)
                                throws DatabaseException

  Throws:
    `DatabaseException`

### insertAlert

    void insertAlert(Alert alert)
                     throws CalendarException,
                            DatabaseException

  Throws:
    `CalendarException`
    `DatabaseException`

### updateAlert

    void updateAlert(Alert alert)
                     throws CalendarException,
                            DatabaseException

  Throws:
    `CalendarException`
    `DatabaseException`

### close

    void close()
               throws DatabaseException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `DatabaseException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads